Serves a unary prediction from a model on behalf of a first-party Gemini Enterprise client. This is the predict path used for text embedding models.
Limited to Gemini Enterprise clients (ASSISTANT_USER visibility); not part of the general Discovery Engine API.
HTTP request
POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:predict
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"model": string,
"httpBody": {
object ( |
| Fields | |
|---|---|
model |
Required. The model to serve the request. This is an opaque model identifier, not a Discovery Engine resource. |
httpBody |
Required. The opaque request body. |
Response body
If successful, the response is a generic HTTP response whose format is defined by the method.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.assist.readwritehttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
discoveryengine.assistants.assist
For more information, see the IAM documentation.